org.apache.lucene.index

## Class AssertingLeafReader.AssertingTerms

- java.lang.Object
- - org.apache.lucene.index.Terms
  - - org.apache.lucene.index.FilterLeafReader.FilterTerms
    - - org.apache.lucene.index.AssertingLeafReader.AssertingTerms

- Enclosing class:
    AssertingLeafReader

      public static class AssertingLeafReader.AssertingTerms
      extends FilterLeafReader.FilterTerms

  Wraps a Terms but with additional asserts

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.FilterLeafReader.FilterTerms

      `in`

    - ### Fields inherited from class org.apache.lucene.index.Terms

      `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingTerms(Terms in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRef` | `getMax()`
    `BytesRef` | `getMin()`
    `TermsEnum` | `intersect(CompiledAutomaton automaton, BytesRef bytes)`
    `TermsEnum` | `iterator()`

    - ### Methods inherited from class org.apache.lucene.index.FilterLeafReader.FilterTerms

      `getDocCount, getStats, getSumDocFreq, getSumTotalTermFreq, hasFreqs, hasOffsets, hasPayloads, hasPositions, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingTerms

          public AssertingTerms(Terms in)

  - ### Method Detail

    - #### intersect

          public TermsEnum intersect(CompiledAutomaton automaton,
                                     BytesRef bytes)
                              throws IOException

      Overrides:
        `intersect` in class `Terms`
      Throws:
        `IOException`

    - #### getMin

          public BytesRef getMin()
                          throws IOException

      Overrides:
        `getMin` in class `Terms`
      Throws:
        `IOException`

    - #### getMax

          public BytesRef getMax()
                          throws IOException

      Overrides:
        `getMax` in class `Terms`
      Throws:
        `IOException`

    - #### iterator

          public TermsEnum iterator()
                             throws IOException

      Overrides:
        `iterator` in class `FilterLeafReader.FilterTerms`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.